
# NOTE: build against: rhevm-*-docs-candidate

# change these as needed
%global locale ko-KR
%global beta 0
%global product_line 3.6
#

%global manualdir %{_docdir}/rhevm-doc/manual
%if 0%{?beta}
%global product_line_path %{product_line}-Beta
%else
%global product_line_path %{product_line}
%endif

%global product Red_Hat_Enterprise_Virtualization

%global admin_guide Administration_Guide
%global hardware_sriov Hardware_Considerations_for_Implementing_SR-IOV
%global install_guide Installation_Guide
%global admin_portal Introduction_to_the_Administration_Portal
%global user_portal Introduction_to_the_User_Portal
%global java_sdk Java_SDK_Guide
%global pkg_manifest Package_Manifest
%global python_sdk Python_SDK_Guide
%global release_notes Release_Notes
%global reports Reports_and_Data_Warehouse_Guide
%global rest REST_API_Guide
%global shell RHEVM_Shell_Guide
%global selfhosted Self-Hosted_Engine_Guide
%global tech_notes Technical_Notes
%global tech_ref Technical_Reference
%global upgrade_guide Upgrade_Guide
%global vmm_guide Virtual_Machine_Management_Guide

%global admin_guide_book %{product}-%{admin_guide}-%{product_line_path}-web-%{locale}
%global hardware_sriov_book %{product}-%{hardware_sriov}-%{product_line_path}-web-%{locale}
%global install_guide_book %{product}-%{install_guide}-%{product_line_path}-web-%{locale}
%global admin_portal_book %{product}-%{admin_portal}-%{product_line_path}-web-%{locale}
%global user_portal_book %{product}-%{user_portal}-%{product_line_path}-web-%{locale}
%global java_sdk_book %{product}-%{java_sdk}-%{product_line_path}-web-%{locale}
%global pkg_manifest_book %{product}-%{pkg_manifest}-%{product_line_path}-web-%{locale}
%global python_sdk_book %{product}-%{python_sdk}-%{product_line_path}-web-%{locale}
%global release_notes_book %{product}-%{release_notes}-%{product_line_path}-web-%{locale}
%global reports_book %{product}-%{reports}-%{product_line_path}-web-%{locale}
%global rest_book %{product}-%{rest}-%{product_line_path}-web-%{locale}
%global shell_book %{product}-%{shell}-%{product_line_path}-web-%{locale}
%global selfhosted_book %{product}-%{selfhosted}-%{product_line_path}-web-%{locale}
%global tech_notes_book %{product}-%{tech_notes}-%{product_line_path}-web-%{locale}
%global tech_ref_book %{product}-%{tech_ref}-%{product_line_path}-web-%{locale}
%global upgrade_guide_book %{product}-%{upgrade_guide}-%{product_line_path}-web-%{locale}
%global vmm_guide_book %{product}-%{vmm_guide}-%{product_line_path}-web-%{locale}

%global lang_css Common_Content/css/lang.css
%global missing_pdf_placeholder %{product}-missing.pdf
%global missing_html_placeholder %{product}-missing

Name:		rhevm-doc-%{locale}
Version:	%{product_line}.0
Release:	4%{?dist}

Summary:	Red Hat Enterprise Virtualization Korean documentation
Group:		Documentation
License:	CC-BY-SA
URL:		http://docs.redhat.com

Source0:	rhevm-doc-index-%{locale}-%{version}-2.tar.gz
Source1:    %{admin_portal_book}-%{product_line}-3.1.tgz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican-API = 4.1
BuildRequires: desktop-file-utils
BuildRequires: publican-redhat-201405
BuildRequires: publican-redhat-db5-201405
BuildRequires:	python
BuildRequires:	python-argparse
Requires:	rhevm-doc >= 3.6
Requires:	rhevm-doc < 3.7

%description

This package contains the Red Hat Enterprise Virtualization
Korean in-product documentation in html and pdf format.

%prep
%setup -q -T -D -a 0 -c
%setup -q -T -D -a 1 -c

%build
make -C rhevm-doc-index

####################
# comment out any of the below books (or individual formats) as necessary. The rest of the script will insert placeholders.
####################

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{admin_portal_book}-%{product_line} --publish
touch %{admin_portal_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{admin_portal}/%{lang_css}
rm -rf tmp

%install
rm -rf "%{buildroot}"
make -C rhevm-doc-index install DESTDIR="%{buildroot}"

# create the directory structure that ovirt-engine expects
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{hardware_sriov}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{install_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_portal}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{user_portal}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{java_sdk}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{pkg_manifest}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{python_sdk}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{release_notes}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{reports}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{rest}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{shell}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{selfhosted}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_notes}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_ref}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{upgrade_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{vmm_guide}

mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{hardware_sriov}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{install_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_portal}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{user_portal}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{java_sdk}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{pkg_manifest}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{python_sdk}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{release_notes}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{reports}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{rest}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{shell}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{selfhosted}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_notes}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_ref}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{upgrade_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{vmm_guide}

# package any book content that was generated by publican
# if there was no book content, the first cp fails and the second cp installs a placeholder

cp -r %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_guide}/
cp -r %{hardware_sriov_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{hardware_sriov}/
cp -r %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{install_guide}/
cp -r %{admin_portal_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_portal}/
cp -r %{user_portal_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{user_portal}/
cp -r %{java_sdk_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{java_sdk}/
cp -r %{pkg_manifest_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{pkg_manifest}/
cp -r %{python_sdk_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{python_sdk}/
cp -r %{release_notes_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{release_notes}/
cp -r %{reports_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{reports}/
cp -r %{rest_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{rest}/
cp -r %{shell_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{shell}/
cp -r %{selfhosted_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{selfhosted}/
cp -r %{tech_notes_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_notes}/
cp -r %{tech_ref_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_ref}/
cp -r %{upgrade_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{upgrade_guide}/
cp -r %{vmm_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{vmm_guide}/

cp -r %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_guide}/%{product}-%{admin_guide}-%{locale}.pdf
cp -r %{hardware_sriov_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{hardware_sriov}/%{product}-%{hardware_sriov}-%{locale}.pdf
cp -r %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{install_guide}/%{product}-%{install_guide}-%{locale}.pdf
cp -r %{admin_portal_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_portal}/%{product}-%{admin_portal}-%{locale}.pdf
cp -r %{user_portal_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{user_portal}/%{product}-%{user_portal}-%{locale}.pdf
cp -r %{java_sdk_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{java_sdk}/%{product}-%{java_sdk}-%{locale}.pdf
cp -r %{pkg_manifest_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{pkg_manifest}/%{product}-%{pkg_manifest}-%{locale}.pdf
cp -r %{python_sdk_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{python_sdk}/%{product}-%{python_sdk}-%{locale}.pdf
cp -r %{release_notes_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{release_notes}/%{product}-%{release_notes}-%{locale}.pdf
cp -r %{reports_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{reports}/%{product}-%{reports}-%{locale}.pdf
cp -r %{rest_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{rest}/%{product}-%{rest}-%{locale}.pdf
cp -r %{shell_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{shell}/%{product}-%{shell}-%{locale}.pdf
cp -r %{selfhosted_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{selfhosted}/%{product}-%{selfhosted}-%{locale}.pdf
cp -r %{tech_notes_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_notes}/%{product}-%{tech_notes}-%{locale}.pdf
cp -r %{tech_ref_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_ref}/%{product}-%{tech_ref}-%{locale}.pdf
cp -r %{upgrade_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{upgrade_guide}/%{product}-%{upgrade_guide}-%{locale}.pdf
cp -r %{vmm_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{vmm_guide}/%{product}-%{vmm_guide}-%{locale}.pdf


# tweak pdf file names
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
	# strip locales
	mv "${f}" "$(echo "${f}" | sed 's/-[a-zA-Z][a-zA-Z][-_][a-zA-Z][a-zA-Z]\.pdf/.pdf/')" || /bin/true
done
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
	# strip version numbers
	mv "${f}" "$(echo "${f}" | sed 's/%{product}-%{product_line_path}-/%{product}-/')" || /bin/true
done

%files
%dir %{_docdir}/rhevm-doc

%{manualdir}/

%changelog
* Thu Apr 21 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-4
- 3.6.0-4. added db5 brand. added two new books.
* Sun Apr 3 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-3
- 3.6.0-3. first Korean release. added new book.
* Thu Dec 3 2015 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-2
- 3.6.0-2.
* Tue Aug 18 2015 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-1
- 3.6.0-1. alpha placeholder.
